Index: branches/BNC_2.12/src/bnchelp.html
===================================================================
--- branches/BNC_2.12/src/bnchelp.html	(revision 9005)
+++ branches/BNC_2.12/src/bnchelp.html	(revision 9091)
@@ -2610,13 +2610,13 @@
 
 <p>
-Each epoch in the synchronized output begins with a line containing the GPS Week Number and the seconds within the GPS Week. Following lines begin with the mountpoint string of the stream which provides the observations followed by a satellite number. Specifications for satellite number, code, phase, Doppler and signal strength data follow definitions presented in the RINEX Version 3 documentation. In case of phase observations, a 'Lock Time Indicator' is added. The end of an epoch is indicated by an empty line.
-</p>
-
-<p>
-A valid 'Lock Time Indicator' is only presented for observations from RTCM Version 3 streams. The parameter provides a measure of the amount of time that has elapsed during which the receiver has maintained continuous lock on that satellite signal. If a cycle slip occurs during the previous measurement cycle, the lock indicator will be reset to Zero. In case of observations from RTCM Version 2 streams, the 'Lock Time Indicator' is always set to '-1'.
-</p>
-
-<p>
-An optional valid 'Lock Time' is only presented for observations from RTCM Version 3 streams. The parameter provides a measure of the amount of time that has elapsed during which the receiver has maintained continuous lock on that satellite signal. If a cycle slip occurs during the previous measurement cycle, the lock time will be reset to Zero. The 'Lock Time' could be of interest becuase the Lock Time Inficator is different for different RTCM3 measurement types. Hence, the 'Lock Time' in seconds is computed with the respective calculation rule.
+Each epoch in the synchronized output begins with a line containing the GPS Week Number and the seconds within the GPS Week. Following lines begin with the mountpoint string of the stream which provides the observations followed by a satellite number. Specifications for satellite number, code, phase, Doppler and signal strength data follow definitions presented in the RINEX Version 3 documentation. In case of phase observations, a 'Slip Counter' is added. The end of an epoch is indicated by an empty line. 
+</p>
+
+<p>
+   A valid 'Slip Counter' is only presented for observations from RTCM Version 2 streams (Cummulative Loss of Lock Indicator). In RTCM Version 3 streams a 'Lock Time Indicator' is available instead. This parameter indicates a measure of the amount of time that has elapsed during which the receiver has maintained continuous lock on that satellite signal. If a cycle slip occurs during the previous measurement cycle, the 'Lock Time Indicator' will be reset to zero. But, this 'Lock Time Indicator' ist defined with different resolution for different RTCM version 3 observation types (MSMi, legacy messages).
+</p>
+
+<p>
+   From the RTCM version 3 'Lock Time Indicator' a valid 'Lock Time' can be computed with the respective calculation rule. This parameter provides a measure of the amount of time that has elapsed during which the receiver has maintained continuous lock on that satellite signal in seconds. If a cycle slip occurs during the previous measurement cycle, the 'Lock Time' will decrease. This information will be used, to provide a 'Slip Counter' for RTCM Version 3 observations as well.  With it, we have an output format that is independent from the RTCM version of the observations. The 'Lock Time' output can be activated optional.
 </p>
 
@@ -2651,5 +2651,5 @@
 <tr><td>Observation Code</td><td><b>L</b>1C</td><td>1X,A3</td></tr>
 <tr><td>Carrier Phase Observation</td><td>133446552.870</td><td>1X,F14.3</td></tr>
-<tr><td>Lock Time Indicator</td><td>11</td><td>1X,I4</td></tr>
+<tr><td>Slip Counter</td><td>11</td><td>1X,I4</td></tr>
 
 <tr><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td></tr>
@@ -2664,4 +2664,6 @@
 <tr><td>Observation Code</td><td><b>S</b>2W</td><td>1X,A3</td></tr>
 <tr><td>Observed Signal Strength &nbsp; &nbsp;</td><td>34.750</td><td>1X,F8.3</td></tr>
+
+<tr><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td></tr>
 
 <tr><td><u>Lock Time (optional)</u></td><td></td><td></td></tr>