Index: branches/BNC_2.12/src/RTCM3/clock_and_orbit/clock_orbit_igs.cpp
===================================================================
--- branches/BNC_2.12/src/RTCM3/clock_and_orbit/clock_orbit_igs.cpp	(revision 9036)
+++ branches/BNC_2.12/src/RTCM3/clock_and_orbit/clock_orbit_igs.cpp	(revision 9209)
@@ -302,5 +302,5 @@
     return GCOBR_SHORTBUFFER;
 
-#ifdef DEBUG
+#ifdef BNC_DEBUG_SSR
   fprintf(stderr, "GetSSR-IGS START: size %d, numbits %d\n",(int)size, numbits);
 #endif
@@ -323,9 +323,9 @@
   G_RTCM_MESSAGE_NUMBER(rtcmtype)
   G_IGS_SSR_VERSION(version)
-#ifdef DEBUG
+#ifdef BNC_DEBUG_SSR
   fprintf(stderr, "rtcmType %d igsVersion %d ", rtcmtype, version);
 #endif
   G_IGS_MESSAGE_NUMBER(igstype)
-#ifdef DEBUG
+#ifdef BNC_DEBUG_SSR
   fprintf(stderr, "igsType IM%d size %d\n", igstype,(int)sizeofrtcmblock);
 #endif
@@ -346,5 +346,5 @@
     G_VTEC_QUALITY_INDICATOR(v->Quality)
     G_NO_IONO_LAYERS(v->NumLayers)
-#ifdef DEBUG
+#ifdef BNC_DEBUG_SSR
           fprintf(stderr, "epochTime %d ui %d mmi %d ssrIod %d providerId %d solId %d vtecQ %8.3f numLay %d \n",
         		  v->EpochTime, v->UpdateInterval, mmi,
@@ -355,5 +355,5 @@
       G_IONO_DEGREE(v->Layers[l].Degree)
       G_IONO_ORDER(v->Layers[l].Order)
-#ifdef DEBUG
+#ifdef BNC_DEBUG_SSR
           fprintf(stderr, "h  %8.3f deg %d ord %d \n",
         		  v->Layers[l].Height, v->Layers[l].Degree, v->Layers[l].Order);
@@ -362,5 +362,5 @@
         for (d = o; d <= v->Layers[l].Degree; ++d) {
           G_IONO_COEFF_C(v->Layers[l].Cosinus[d][o])
-#ifdef DEBUG
+#ifdef BNC_DEBUG_SSR
           fprintf(stderr, "C[%02d][%02d]  %8.3f \n",
         		  d, o, v->Layers[l].Cosinus[d][o]);
@@ -371,5 +371,5 @@
         for (d = o; d <= v->Layers[l].Degree; ++d) {
           G_IONO_COEFF_S(v->Layers[l].Sinus[d][o])
-#ifdef DEBUG
+#ifdef BNC_DEBUG_SSR
           fprintf(stderr, "S[%02d][%02d]  %8.3f \n",
         		  d, o, v->Layers[l].Sinus[d][o]);
@@ -378,5 +378,5 @@
       }
     }
-#ifdef DEBUG
+#ifdef BNC_DEBUG_SSR
     for(igstype = 0; igstype < (unsigned int)size && (unsigned char)buffer[igstype] != 0xD3; ++igstype)
     numbits += 8;
@@ -401,5 +401,5 @@
           G_NO_OF_SATELLITES(nums)
           co->Supplied[COBOFS_ORBIT] |= 1;
-#ifdef DEBUG
+#ifdef BNC_DEBUG_SSR
           fprintf(stderr, "epochTime %d ui %d mmi %d sats %d/%d rd %d ssrIod %d providerId %d solId %d\n",
         		  co->EpochTime[s], co->UpdateInterval,mmi,co->NumberOfSat[s],nums,
@@ -424,5 +424,5 @@
             G_DELTA_DOT_ALONG_TRACK(co->Sat[pos].Orbit.DotDeltaAlongTrack)
             G_DELTA_DOT_CROSS_TRACK(co->Sat[pos].Orbit.DotDeltaCrossTrack)
-#ifdef DEBUG
+#ifdef BNC_DEBUG_SSR
             fprintf(stderr, "id %2d iod %3d dr %8.4f da %8.4f dc %8.4f dr %8.3f da %8.3f dc %8.3f\n",
                 co->Sat[pos].ID,co->Sat[pos].IOD,co->Sat[pos].Orbit.DeltaRadial,
@@ -446,5 +446,5 @@
           G_NO_OF_SATELLITES(nums)
           co->Supplied[COBOFS_CLOCK] |= 1;
-#ifdef DEBUG
+#ifdef BNC_DEBUG_SSR
           fprintf(stderr, "epochTime %d ui %d mmi %d sats %d/%d ssrIod %d providerId %d solId %d\n",
         		  co->EpochTime[s], co->UpdateInterval,mmi,co->NumberOfSat[s],nums,
@@ -465,5 +465,5 @@
             G_DELTA_CLOCK_C1(co->Sat[pos].Clock.DeltaA1)
             G_DELTA_CLOCK_C2(co->Sat[pos].Clock.DeltaA2)
-#ifdef DEBUG
+#ifdef BNC_DEBUG_SSR
             fprintf(stderr, "id %2d c0 %8.3f c1 %8.3f c2 %8.3f\n",
                 co->Sat[pos].ID, co->Sat[pos].Clock.DeltaA0, co->Sat[pos].Clock.DeltaA1,
@@ -486,5 +486,5 @@
           co->Supplied[COBOFS_ORBIT] |= 1;
           co->Supplied[COBOFS_CLOCK] |= 1;
-#ifdef DEBUG
+#ifdef BNC_DEBUG_SSR
           fprintf(stderr, "epochTime %d ui %d mmi %d sats %d/%d rd %d ssrIod %d providerId %d solId %d\n",
         		  co->EpochTime[s], co->UpdateInterval,mmi,co->NumberOfSat[s],nums,
@@ -512,5 +512,5 @@
             G_DELTA_CLOCK_C1(co->Sat[pos].Clock.DeltaA1)
             G_DELTA_CLOCK_C2(co->Sat[pos].Clock.DeltaA2)
-#ifdef DEBUG
+#ifdef BNC_DEBUG_SSR
             fprintf(stderr, "id %2d iod %3d dr %10.6f da %10.6f dc %10.6f dr %10.6f da %10.6f dc %10.6f  c0 %10.6f c1 %10.6f c2 %10.6f\n",
                 co->Sat[pos].ID,co->Sat[pos].IOD,co->Sat[pos].Orbit.DeltaRadial,
@@ -534,5 +534,5 @@
           G_NO_OF_SATELLITES(nums)
           co->Supplied[COBOFS_URA] |= 1;
-#ifdef DEBUG
+#ifdef BNC_DEBUG_SSR
           fprintf(stderr, "epochTime %d ui %d mmi %d sats %d/%d ssrIod %d providerId %d solId %d\n",
         		  co->EpochTime[s], co->UpdateInterval,mmi,co->NumberOfSat[s],nums,
@@ -551,5 +551,5 @@
             co->Sat[pos].ID = id;
             G_SSR_URA(co->Sat[pos].UserRangeAccuracy)
-#ifdef DEBUG
+#ifdef BNC_DEBUG_SSR
             fprintf(stderr, "id %2d ura %8.3f \n",
                 co->Sat[pos].ID, co->Sat[pos].UserRangeAccuracy);
@@ -569,5 +569,5 @@
           G_NO_OF_SATELLITES(nums)
           co->Supplied[COBOFS_HR] |= 1;
-#ifdef DEBUG
+#ifdef BNC_DEBUG_SSR
           fprintf(stderr, "epochTime %d ui %d mmi %d sats %d/%d ssrIod %d providerId %d solId %d\n",
         		  co->EpochTime[s], co->UpdateInterval,mmi,co->NumberOfSat[s],nums,
@@ -586,5 +586,5 @@
             co->Sat[pos].ID = id;
             G_HR_CLOCK_CORRECTION(co->Sat[pos].hrclock)
-#ifdef DEBUG
+#ifdef BNC_DEBUG_SSR
             fprintf(stderr, "id %2d hrClock %8.3f \n",
                     co->Sat[pos].ID, co->Sat[pos].hrclock);
@@ -603,5 +603,5 @@
           G_SSR_SOLUTION_ID(b->SSRSolutionID)
           G_NO_OF_SATELLITES(nums)
-#ifdef DEBUG
+#ifdef BNC_DEBUG_SSR
           fprintf(stderr, "epochTime %d ui %d mmi %d sats %d/%d ssrIod %d providerId %d solId %d\n",
         		  b->EpochTime[s], b->UpdateInterval,mmi,b->NumberOfSat[s],nums,
@@ -620,5 +620,5 @@
             b->Sat[pos].ID = id;
             G_NO_OF_BIASES(b->Sat[pos].NumberOfCodeBiases)
-#ifdef DEBUG
+#ifdef BNC_DEBUG_SSR
             fprintf(stderr, "id %2d #%d ",
                     b->Sat[pos].ID, b->Sat[pos].NumberOfCodeBiases);
@@ -627,10 +627,10 @@
               G_GNSS_SIGNAL_IDENTIFIER(b->Sat[pos].Biases[j].Type)
               G_CODE_BIAS(b->Sat[pos].Biases[j].Bias)
-#ifdef DEBUG
+#ifdef BNC_DEBUG_SSR
             fprintf(stderr, "t%02d b %8.2f ",
                     b->Sat[pos].Biases[j].Type, b->Sat[pos].Biases[j].Bias);
 #endif
             }
-#ifdef DEBUG
+#ifdef BNC_DEBUG_SSR
             fprintf(stderr, "\n");
 #endif
@@ -650,5 +650,5 @@
             G_MW_CONSISTENCY_INDICATOR(pb->MWConsistencyIndicator)
             G_NO_OF_SATELLITES(nums)
-#ifdef DEBUG
+#ifdef BNC_DEBUG_SSR
           fprintf(stderr, "epochTime %d ui %d mmi %d sats %d/%d ssrIod %d providerId %d solId %d dispInd %d mwInd %d\n",
         		  pb->EpochTime[s], pb->UpdateInterval,mmi,pb->NumberOfSat[s],nums,
@@ -670,5 +670,5 @@
               G_YAW_ANGLE(pb->Sat[pos].YawAngle)
               G_YAW_RATE(pb->Sat[pos].YawRate)
-#ifdef DEBUG
+#ifdef BNC_DEBUG_SSR
             fprintf(stderr, "id %2d #%d y %10.6f yr %10.6f ",
                     pb->Sat[pos].ID, pb->Sat[pos].NumberOfPhaseBiases,
@@ -681,5 +681,5 @@
                 G_DISCONTINUITY_COUNTER(pb->Sat[pos].Biases[j].SignalDiscontinuityCounter)
                 G_PHASE_BIAS(pb->Sat[pos].Biases[j].Bias)
-#ifdef DEBUG
+#ifdef BNC_DEBUG_SSR
             fprintf(stderr, "t%02d int %d wl %d disc %02d b %8.4f ",
                     pb->Sat[pos].Biases[j].Type,
@@ -690,5 +690,5 @@
 #endif
               }
-#ifdef DEBUG
+#ifdef BNC_DEBUG_SSR
             fprintf(stderr, "\n");
 #endif
@@ -698,5 +698,5 @@
         continue;
       }
-#ifdef DEBUG
+#ifdef BNC_DEBUG_SSR
       for(igstype = 0; igstype < (unsigned int)size && (unsigned char)buffer[igstype] != 0xD3; ++igstype)
       numbits += 8;