Index: trunk/BNC/src/RTCM3/clock_and_orbit/clock_orbit_rtcm.cpp
===================================================================
--- trunk/BNC/src/RTCM3/clock_and_orbit/clock_orbit_rtcm.cpp	(revision 9029)
+++ trunk/BNC/src/RTCM3/clock_and_orbit/clock_orbit_rtcm.cpp	(revision 9210)
@@ -482,5 +482,5 @@
     return GCOBR_SHORTBUFFER;
 
-#ifdef DEBUG
+#ifdef BNC_DEBUG_SSR
   fprintf(stderr, "GetSSR-RTCM START: size %d, numbits %d\n",(int)size, numbits);
 #endif
@@ -502,5 +502,5 @@
 
   G_RTCM_MESSAGE_NUMBER(type)
-#ifdef DEBUG
+#ifdef BNC_DEBUG_SSR
   fprintf(stderr, "type %d size %d\n",type,(int)sizeofrtcmblock);
 #endif
@@ -520,5 +520,5 @@
     G_VTEC_QUALITY_INDICATOR(v->Quality)
     G_NO_IONO_LAYERS(v->NumLayers)
-#ifdef DEBUG
+#ifdef BNC_DEBUG_SSR
           fprintf(stderr, "epochTime %d ui %d mmi %d ssrIod %d providerId %d solId %d vtecQ %8.3f numLay %d \n",
         		  v->EpochTime, v->UpdateInterval, mmi,
@@ -529,5 +529,5 @@
       G_IONO_DEGREE(v->Layers[l].Degree)
       G_IONO_ORDER(v->Layers[l].Order)
-#ifdef DEBUG
+#ifdef BNC_DEBUG_SSR
           fprintf(stderr, "h  %8.3f deg %d ord %d \n",
         		  v->Layers[l].Height, v->Layers[l].Degree, v->Layers[l].Order);
@@ -536,5 +536,5 @@
         for (d = o; d <= v->Layers[l].Degree; ++d) {
           G_IONO_COEFF_C(v->Layers[l].Cosinus[d][o])
-#ifdef DEBUG
+#ifdef BNC_DEBUG_SSR
           fprintf(stderr, "C[%02d][%02d]  %8.3f \n",
         		  d, o, v->Layers[l].Cosinus[d][o]);
@@ -545,5 +545,5 @@
         for (d = o; d <= v->Layers[l].Degree; ++d) {
           G_IONO_COEFF_S(v->Layers[l].Sinus[d][o])
-#ifdef DEBUG
+#ifdef BNC_DEBUG_SSR
           fprintf(stderr, "S[%02d][%02d]  %8.3f \n",
         		  d, o, v->Layers[l].Sinus[d][o]);
@@ -552,5 +552,5 @@
       }
     }
-#ifdef DEBUG
+#ifdef BNC_DEBUG_SSR
     for(type = 0; type < (unsigned int)size && (unsigned char)buffer[type] != 0xD3; ++type)
     numbits += 8;
@@ -584,5 +584,5 @@
       G_MW_CONSISTENCY_INDICATOR(pb->MWConsistencyIndicator)
       G_NO_OF_SATELLITES(nums)
-#ifdef DEBUG
+#ifdef BNC_DEBUG_SSR
           fprintf(stderr, "epochTime %d ui %d mmi %d sats %d/%d ssrIod %d providerId %d solId %d dispInd %d mwInd %d\n",
         		  pb->EpochTime[s], pb->UpdateInterval,mmi,pb->NumberOfSat[s],nums,
@@ -617,5 +617,5 @@
         G_YAW_ANGLE(pb->Sat[pos].YawAngle)
         G_YAW_RATE(pb->Sat[pos].YawRate)
-#ifdef DEBUG
+#ifdef BNC_DEBUG_SSR
             fprintf(stderr, "id %2d #%d y %10.6f yr %10.6f ",
                     pb->Sat[pos].ID, pb->Sat[pos].NumberOfPhaseBiases,
@@ -630,5 +630,5 @@
               pb->Sat[pos].Biases[j].SignalDiscontinuityCounter)
           G_PHASE_BIAS(pb->Sat[pos].Biases[j].Bias)
-#ifdef DEBUG
+#ifdef BNC_DEBUG_SSR
             fprintf(stderr, "t%02d int %d wl %d disc %d b %8.4f ",
                     pb->Sat[pos].Biases[j].Type,
@@ -639,9 +639,9 @@
 #endif
         }
-#ifdef DEBUG
+#ifdef BNC_DEBUG_SSR
             fprintf(stderr, "\n");
 #endif
       }
-#ifdef DEBUG
+#ifdef BNC_DEBUG_SSR
       for(type = 0; type < (unsigned int)size && (unsigned char)buffer[type] != 0xD3; ++type)
       numbits += 8;
@@ -676,5 +676,5 @@
           G_NO_OF_SATELLITES(nums)
           co->Supplied[COBOFS_ORBIT] |= 1;
-#ifdef DEBUG
+#ifdef BNC_DEBUG_SSR
           fprintf(stderr, "epochTime %d ui %d mmi %d sats %d/%d rd %d ssrIod %d providerId %d solId %d\n",
         		  co->EpochTime[s], co->UpdateInterval,mmi,co->NumberOfSat[s],nums,
@@ -732,5 +732,5 @@
             G_DELTA_DOT_ALONG_TRACK(co->Sat[pos].Orbit.DotDeltaAlongTrack)
             G_DELTA_DOT_CROSS_TRACK(co->Sat[pos].Orbit.DotDeltaCrossTrack)
-#ifdef DEBUG
+#ifdef BNC_DEBUG_SSR
             fprintf(stderr, "id %2d iod %3d dr %8.4f da %8.4f dc %8.4f dr %8.3f da %8.3f dc %8.3f\n",
                 co->Sat[pos].ID,co->Sat[pos].IOD,co->Sat[pos].Orbit.DeltaRadial,
@@ -765,5 +765,5 @@
           G_NO_OF_SATELLITES(nums)
           co->Supplied[COBOFS_CLOCK] |= 1;
-#ifdef DEBUG
+#ifdef BNC_DEBUG_SSR
           fprintf(stderr, "epochTime %d ui %d mmi %d sats %d/%d ssrIod %d providerId %d solId %d\n",
         		  co->EpochTime[s], co->UpdateInterval,mmi,co->NumberOfSat[s],nums,
@@ -798,5 +798,5 @@
             G_DELTA_CLOCK_C1(co->Sat[pos].Clock.DeltaA1)
             G_DELTA_CLOCK_C2(co->Sat[pos].Clock.DeltaA2)
-#ifdef DEBUG
+#ifdef BNC_DEBUG_SSR
             fprintf(stderr, "id %2d c0 %8.3f c1 %8.3f c2 %8.3f\n",
                 co->Sat[pos].ID, co->Sat[pos].Clock.DeltaA0, co->Sat[pos].Clock.DeltaA1,
@@ -830,5 +830,5 @@
           co->Supplied[COBOFS_ORBIT] |= 1;
           co->Supplied[COBOFS_CLOCK] |= 1;
-#ifdef DEBUG
+#ifdef BNC_DEBUG_SSR
           fprintf(stderr, "epochTime %d ui %d mmi %d sats %d/%d rd %d ssrIod %d providerId %d solId %d\n",
         		  co->EpochTime[s], co->UpdateInterval,mmi,co->NumberOfSat[s],nums,
@@ -889,5 +889,5 @@
             G_DELTA_CLOCK_C1(co->Sat[pos].Clock.DeltaA1)
             G_DELTA_CLOCK_C2(co->Sat[pos].Clock.DeltaA2)
-#ifdef DEBUG
+#ifdef BNC_DEBUG_SSR
             fprintf(stderr, "id %2d iod %3d dr %10.6f da %10.6f dc %10.6f dr %10.6f da %10.6f dc %10.6f  c0 %10.6f c1 %10.6f c2 %10.6f\n",
                 co->Sat[pos].ID,co->Sat[pos].IOD,co->Sat[pos].Orbit.DeltaRadial,
@@ -922,5 +922,5 @@
           G_NO_OF_SATELLITES(nums)
           co->Supplied[COBOFS_URA] |= 1;
-#ifdef DEBUG
+#ifdef BNC_DEBUG_SSR
           fprintf(stderr, "epochTime %d ui %d mmi %d sats %d/%d ssrIod %d providerId %d solId %d\n",
         		  co->EpochTime[s], co->UpdateInterval,mmi,co->NumberOfSat[s],nums,
@@ -952,5 +952,5 @@
             co->Sat[pos].ID = id;
             G_SSR_URA(co->Sat[pos].UserRangeAccuracy)
-#ifdef DEBUG
+#ifdef BNC_DEBUG_SSR
             fprintf(stderr, "id %2d ura %8.3f \n",
                 co->Sat[pos].ID, co->Sat[pos].UserRangeAccuracy);
@@ -981,5 +981,5 @@
           G_NO_OF_SATELLITES(nums)
           co->Supplied[COBOFS_HR] |= 1;
-#ifdef DEBUG
+#ifdef BNC_DEBUG_SSR
           fprintf(stderr, "epochTime %d ui %d mmi %d sats %d/%d ssrIod %d providerId %d solId %d\n",
         		  co->EpochTime[s], co->UpdateInterval,mmi,co->NumberOfSat[s],nums,
@@ -1011,5 +1011,5 @@
             co->Sat[pos].ID = id;
             G_HR_CLOCK_CORRECTION(co->Sat[pos].hrclock)
-#ifdef DEBUG
+#ifdef BNC_DEBUG_SSR
             fprintf(stderr, "id %2d hrClock %8.3f \n",
                     co->Sat[pos].ID, co->Sat[pos].hrclock);
@@ -1039,5 +1039,5 @@
           G_SSR_SOLUTION_ID(b->SSRSolutionID)
           G_NO_OF_SATELLITES(nums)
-#ifdef DEBUG
+#ifdef BNC_DEBUG_SSR
           fprintf(stderr, "epochTime %d ui %d mmi %d sats %d/%d ssrIod %d providerId %d solId %d\n",
         		  b->EpochTime[s], b->UpdateInterval,mmi,b->NumberOfSat[s],nums,
@@ -1069,5 +1069,5 @@
             b->Sat[pos].ID = id;
             G_NO_OF_BIASES(b->Sat[pos].NumberOfCodeBiases)
-#ifdef DEBUG
+#ifdef BNC_DEBUG_SSR
             fprintf(stderr, "id %2d #%d ",
                     b->Sat[pos].ID, b->Sat[pos].NumberOfCodeBiases);
@@ -1076,10 +1076,10 @@
               G_GNSS_SIGNAL_IDENTIFIER(b->Sat[pos].Biases[j].Type)
               G_CODE_BIAS(b->Sat[pos].Biases[j].Bias)
-#ifdef DEBUG
+#ifdef BNC_DEBUG_SSR
             fprintf(stderr, "t%02d b %8.2f ",
                     b->Sat[pos].Biases[j].Type, b->Sat[pos].Biases[j].Bias);
 #endif
             }
-#ifdef DEBUG
+#ifdef BNC_DEBUG_SSR
             fprintf(stderr, "\n");
 #endif
@@ -1089,5 +1089,5 @@
           continue;
       }
-#ifdef DEBUG
+#ifdef BNC_DEBUG_SSR
       for(type = 0; type < (unsigned int)size && (unsigned char)buffer[type] != 0xD3; ++type)
       numbits += 8;